Bug 1810563 - [4.3] image-registry should be running in a 2 pod configuration always
Summary: [4.3] image-registry should be running in a 2 pod configuration always
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Image Registry
Version: 4.4
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.3.z
Assignee: Adam Kaplan
QA Contact: Wenjing Zheng
URL:
Whiteboard:
Depends On: 1810562
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-03-05 14:01 UTC by Oleg Bulatov
Modified: 2020-05-27 17:01 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Feature: high available configuration by default Reason: problems with one of the registry pods should not affect availability of the registry Result: the registry has 2 replicas by default when its possible
Clone Of: 1810562
Environment:
Last Closed: 2020-05-27 17:00:45 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-image-registry-operator pull 536 0 None closed Bug 1810563: bootstrap HA configuration 2020-05-22 17:43:35 UTC
Red Hat Product Errata RHBA-2020:2184 0 None None None 2020-05-27 17:01:19 UTC

Description Oleg Bulatov 2020-03-05 14:01:56 UTC
+++ This bug was initially created as a clone of Bug #1810562 +++

+++ This bug was initially created as a clone of Bug #1810317 +++

On a 4.4 cluster there is only a single image registry pod running by default.  All of our components must run in an HA configuration by default (2 pods with normal spreading).

This must be backported to 4.3.

--- Additional comment from Clayton Coleman on 2020-03-05 00:25:16 CET ---

Note I'm fine if it's only 2 when the default backend is object storage (clouds)

Comment 5 Wenjing Zheng 2020-05-18 06:05:25 UTC
$ oc get pods -n openshift-image-registry
NAME                                               READY   STATUS    RESTARTS   AGE
cluster-image-registry-operator-6b7d477789-4srlz   2/2     Running   0          17m
image-registry-9ffcddcd6-s4ngk                     1/1     Running   0          15m
image-registry-9ffcddcd6-sp9ps                     1/1     Running   0          16m
node-ca-85rnx                                      1/1     Running   0          16m
node-ca-j2l58                                      1/1     Running   0          16m
node-ca-jgxzk                                      1/1     Running   0          16m
node-ca-kw92g                                      1/1     Running   0          16m
node-ca-pswbn                                      1/1     Running   0          16m
node-ca-slsmw                                      1/1     Running   0          16m
$ oc get clusterversion
NAME      VERSION                             AVAILABLE   PROGRESSING   SINCE   STATUS
version   4.3.0-0.nightly-2020-05-17-223233   True        False         9m      Cluster version is 4.3.0-0.nightly-2020-05-17-223233

Verified on 4.3.0-0.nightly-2020-05-17-223233.

Comment 7 errata-xmlrpc 2020-05-27 17:00:45 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2184


Note You need to log in before you can comment on or make changes to this bug.